package pianoCartesiano;

public class Punto {
	private double x;
	private double y;
	private static int conto; 
	
	public Punto(double x, double yy){
		y=yy;
		this.x=x;
		conto++;
	}
	
	public double getX(){
		return x;
	}
	
	public double getY(){
		return y;
	}
	
	
	public static int getConto(){
		return conto;
	}
	
	public void stampa (){
		System.out.println("("+x+", "+y+")");
	}
	
	public double distanza(Punto p){
		if (p==null) return 0;
		double deltaX=p.x-x;
		double deltaY=p.y-y;
		return Math.sqrt(Math.pow(deltaX, 2) +
				         Math.pow(deltaY, 2));
	}
	
	public boolean appartiene(Retta r){
		return y==r.getM()*x+r.getQ();
	}

}
